##parameters=request=None, response=None

rounded_lines = []

for row in context['niftyCorners.csv'](context, context.REQUEST, context.REQUEST.RESPONSE).split('\n'):
    args = row.split(',')
    if len(args) < 4: continue
    args = [arg.strip() for arg in args]
    if args[0].startswith('selector'): continue
    if len(args) ==4:
        rounded_lines.append("""Rounded("%s", "%s", "%s", "%s");""" %
              (args[0], args[1], args[2], args[3]))
    else:
        rounded_lines.append("""Rounded("%s", "%s", "%s", "%s", "%s");""" %
              (args[0], args[1], args[2], args[3], args[4]))

return """
function roundFromCSV(){
if(!NiftyCheck())
    return;

%s
}

registerPloneFunction(roundFromCSV)
""" % '\n'.join(rounded_lines)
