from Products.Archetypes.Extensions.utils import install_subskin
from Products.PloneNiftyCorners.config import PRODUCTNAME, GLOBALS
from Products.CMFCore.utils import getToolByName
from StringIO import StringIO
from Products.CMFCore.DirectoryView import addDirectoryViews
import string

# install skins
# install to portal_css and portal_javascript

def install(self):
    out=StringIO()

    # install skins
    install_subskin(self, out, GLOBALS)

    portal_css = getToolByName(self, 'portal_css')
    portal_css.registerStylesheet('niftyCorners.css', media="all", enabled=True)
    portal_css.registerStylesheet('niftyPloneCorners.css', media="all", enabled=True)
    portal_css.registerStylesheet('niftyCornersPrint.css', media="print", enabled=True)

    portal_javascripts = getToolByName(self, 'portal_javascripts')
    portal_javascripts.registerScript('niftyCorners.js', compression="safe")
    portal_javascripts.registerScript('niftyPloneCorners.js', compression="safe")

    print >> out, "Successfully installed %s." % PRODUCTNAME
    return out.getvalue()

